## ros-lunar-osm-cartography 0.2.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(osm_cartography)

# list catkin dependencies
set(_ROS_PKG_DEPS
  dynamic_reconfigure
  geodesy
  geographic_msgs
  geometry_msgs
  rospy
  tf
  std_msgs
  visualization_msgs)


# Find catkin macros and libraries, also other catkin packages.
find_package(catkin REQUIRED COMPONENTS ${_ROS_PKG_DEPS})
include_directories(include ${catkin_INCLUDE_DIRS})
catkin_python_setup()

# auto-generate dynamic reconfiguration GUI: before catkin_package()
# and after catkin_python_setup().
generate_dynamic_reconfigure_options(cfg/VizOSM.cfg)

catkin_package(CATKIN_DEPENDS ${_ROS_PKG_DEPS})

install(DIRECTORY scripts/
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        USE_SOURCE_PERMISSIONS)

install(DIRECTORY launch/ 
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)

# unit tests
if (CATKIN_ENABLE_TESTING)

  catkin_add_nosetests(tests/test_geo_map.py)
  catkin_add_nosetests(tests/test_xml_map.py)

  # check all the launch files
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch)

endif (CATKIN_ENABLE_TESTING)

=== debian/changelog ===
ros-lunar-osm-cartography (0.2.4-0stretch) stretch; urgency=high

  * Convert to package xml format 2 and add launch file dependencies
  * Possibility to compute paths between GeoPoints.
  * Remove unused map file.
  * Add Ixtapa testing map.
  * Add default configuration for RVIZ.
  * Create new launch file to start all the needed nodes to plan on a map.
  * Contributors: Bence Magyar, Diego Ramos

 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 06 Dec 2017 00:00:00 -0000

ros-lunar-osm-cartography (0.2.3-0stretch) stretch; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sun, 11 Oct 2015 23:00:00 -0000

ros-lunar-osm-cartography (0.2.2-0stretch) stretch; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 07 Oct 2015 23:00:00 -0000

ros-lunar-osm-cartography (0.2.1-0stretch) stretch; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 23 Sep 2013 23:00:00 -0000

ros-lunar-osm-cartography (0.2.0-0stretch) stretch; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 17 Sep 2013 23:00:00 -0000

ros-lunar-osm-cartography (0.1.0-0stretch) stretch; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sun, 15 Jul 2012 23:00:00 -0000

=== debian/control ===
Source: ros-lunar-osm-cartography
Section: misc
Priority: extra
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-dynamic-reconfigure, ros-lunar-geodesy, ros-lunar-geographic-msgs, ros-lunar-geometry-msgs, ros-lunar-roslaunch, ros-lunar-rospy, ros-lunar-std-msgs, ros-lunar-tf, ros-lunar-visualization-msgs
Homepage: http://ros.org/wiki/osm_cartography
Standards-Version: 3.9.2

Package: ros-lunar-osm-cartography
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-dynamic-reconfigure, ros-lunar-geodesy, ros-lunar-geographic-msgs, ros-lunar-geometry-msgs, ros-lunar-rospy, ros-lunar-route-network, ros-lunar-rviz, ros-lunar-std-msgs, ros-lunar-tf, ros-lunar-visualization-msgs
Description: Geographic mapping using Open Street Map data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-osm-cartography//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
